Replay a captured request with optional edits
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/network/events/{eventId}/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_recursive": true,
"body": "<string>",
"follow_redirects": 2,
"json_delete": [
"<string>"
],
"json_set": {},
"method": "<string>",
"path": "<string>",
"remove_headers": [
"<string>"
],
"replace": [
{
"from": "<string>",
"to": "<string>"
}
],
"return_body_chars": 50000,
"set_headers": {},
"timeout_ms": 123
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/network/events/{eventId}/replay"
payload = {
"allow_recursive": True,
"body": "<string>",
"follow_redirects": 2,
"json_delete": ["<string>"],
"json_set": {},
"method": "<string>",
"path": "<string>",
"remove_headers": ["<string>"],
"replace": [
{
"from": "<string>",
"to": "<string>"
}
],
"return_body_chars": 50000,
"set_headers": {},
"timeout_ms": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_recursive: true,
body: JSON.stringify('<string>'),
follow_redirects: 2,
json_delete: ['<string>'],
json_set: {},
method: '<string>',
path: '<string>',
remove_headers: ['<string>'],
replace: [{from: '<string>', to: '<string>'}],
return_body_chars: 50000,
set_headers: {},
timeout_ms: 123
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/network/events/{eventId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"elapsed_ms": 123,
"final_url": "<string>",
"new_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_code": 123,
"body_length": 123,
"body_preview": "<string>",
"hops": 123,
"response_headers": {},
"truncated": true
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Network Events
Replay a captured request with optional edits
Decrypts and replays a captured request with optional modifications (method, path, headers, body, JSON mutations). The destination host is pinned to the original capture — cannot be changed via edits.
POST
/
api
/
v1
/
network
/
events
/
{eventId}
/
replay
Replay a captured request with optional edits
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Event UUID
Query Parameters
Task ID
Body
application/json
Required range:
0 <= x <= 5Show child attributes
Show child attributes
Required range:
0 <= x <= 100000Show child attributes
Show child attributes
⌘I

